at.chipkarte.client.rez.soap

## Class SvAnspruch

- Object
- - at.chipkarte.client.rez.soap.SvAnspruch

-     public class SvAnspruch
      extends Object

  Sozialversicherungsanspruch des Patienten.
  Beinhaltet die Anspruchsdaten des Patienten aus dem eCS.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvAnspruch()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnspruchsart()` Art des Anspruches.
    `String` | `getKvt()` Zuständiger KV-Träger des Patienten.
    `SvPatient` | `getVersichertenDaten()` Daten des Versicherten.
    `String` | `getVersicherungsart()` Art der Versicherung.
    `String` | `getVersicherungskategorie()` Kategorie der Versicherung.
    `boolean` | `isKostenanteilsbefreit()` Information, ob eine Kostenanteilsbefreiung vorliegt.
    `boolean` | `isKvtUebersteuert()` Kennzeichen, ob der KVT der Eingabe mit einem automatisch ermittelten Träger übersteuert wurde.
    `boolean` | `isRezeptgebuehrenbefreit()` Information, ob eine Rezeptgebührenbefreiung vorliegt.
    `void` | `setAnspruchsart(String anspruchsart)`
    `void` | `setKostenanteilsbefreit(boolean kostenanteilsbefreit)`
    `void` | `setKvt(String kvt)`
    `void` | `setKvtUebersteuert(boolean kvtUebersteuert)`
    `void` | `setRezeptgebuehrenbefreit(boolean rezeptgebuehrenbefreit)`
    `void` | `setVersichertenDaten(SvPatient daten)`
    `void` | `setVersicherungsart(String versicherungsart)`
    `void` | `setVersicherungskategorie(String versicherungskategorie)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvAnspruch

          public SvAnspruch()

  - ### Method Detail

    - #### getKvt

          public String getKvt()

      Zuständiger KV-Träger des Patienten.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Muss.
      Returns:
        KVT

    - #### setKvt

          public void setKvt(String kvt)

    - #### isKostenanteilsbefreit

          public boolean isKostenanteilsbefreit()

      Information, ob eine Kostenanteilsbefreiung vorliegt.
      Angabe: Muss.
      Returns:
        kostenanteilsbefreit

    - #### setKostenanteilsbefreit

          public void setKostenanteilsbefreit(boolean kostenanteilsbefreit)

    - #### isRezeptgebuehrenbefreit

          public boolean isRezeptgebuehrenbefreit()

      Information, ob eine Rezeptgebührenbefreiung vorliegt.
      Angabe: Muss.
      Returns:
        rezeptgebührenbefreit

    - #### setRezeptgebuehrenbefreit

          public void setRezeptgebuehrenbefreit(boolean rezeptgebuehrenbefreit)

    - #### getAnspruchsart

          public String getAnspruchsart()

      Art des Anspruches.
      Mögliche Werte siehe `Anspruchsart`.
      Angabe: Muss.
      Returns:
        Anspruchsart.

    - #### setAnspruchsart

          public void setAnspruchsart(String anspruchsart)

    - #### getVersicherungsart

          public String getVersicherungsart()

      Art der Versicherung.
      Mögliche Werte siehe `Versichertenart`.
      Angabe: Kann.
      Returns:
        Art der Versicherung

    - #### setVersicherungsart

          public void setVersicherungsart(String versicherungsart)

    - #### getVersicherungskategorie

          public String getVersicherungskategorie()

      Kategorie der Versicherung.
      Mögliche Werte siehe `Versichertenkategorie`.
      Angabe: Muss.
      Returns:
        Kategorie der Versicherung

    - #### setVersicherungskategorie

          public void setVersicherungskategorie(String versicherungskategorie)

    - #### getVersichertenDaten

          public SvPatient getVersichertenDaten()

      Daten des Versicherten.
      Angabe: Bedingt. (nur versorgt wenn es sich um einen abgeleiteten Anspruch handelt)
      Returns:
        SvPatient

    - #### setVersichertenDaten

          public void setVersichertenDaten(SvPatient daten)

    - #### isKvtUebersteuert

          public boolean isKvtUebersteuert()

      Kennzeichen, ob der KVT der Eingabe mit einem automatisch ermittelten Träger übersteuert wurde.
      Angabe: Muss. (Default ist 'Nein')
      Returns:
        KVT übersteuert

    - #### setKvtUebersteuert

          public void setKvtUebersteuert(boolean kvtUebersteuert)